﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Net;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        public static List<Orders> order = new List<Orders>();
       
        public ActionResult Index()
        {
            int code = 10;
            for (int i = 1; i < 50; i++)
            {
                order.Add(new Orders(10248, "ALFKI",new DateTime(2016-11-25)));
                order.Add(new Orders(10249, "ANATR",  new DateTime(2016-11-25)));
                order.Add(new Orders(10250, "ANTON", new DateTime(2016-11-25)));
                code += 5;
            }
            ViewBag.datasource = order;

            return View();
        }
      
        public ActionResult DataSource(DataManager dm)
        {
            var DataSource = OrderRepository.GetAllRecords();
            DataResult result = new DataResult();
            result.count = DataSource.Count();
            result.result = DataSource.Skip(0).Take(12);
            return Json(new { result = result.result, count = result.count }, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
      
       
        [Serializable]
        public class Orders
        {
            public Orders(long OrderId, string CustomerId, DateTime OrderDate)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.OrderDate = OrderDate;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            [Required, DataType(DataType.DateTime)]
            [DisplayFormat(DataFormatString = "{0:dd MMM yyyy HH:mm:ss}")]
            public DateTime OrderDate { get; set; }
           
        }
    }
}